Package de.gebit.integrity.services

## Class DSLGrammarAccess.TimeSetElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - de.gebit.integrity.services.DSLGrammarAccess.TimeSetElements

- All Implemented Interfaces:
    `org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess`, `org.eclipse.xtext.IGrammarAccess.IParserRuleAccess`
  Enclosing class:
    DSLGrammarAccess

      public class DSLGrammarAccess.TimeSetElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TimeSetElements()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.xtext.Alternatives` | `getAlternatives_2()` |
    `org.eclipse.xtext.Alternatives` | `getAlternatives_2_1_0()` |
    `org.eclipse.xtext.Alternatives` | `getAlternatives_3_2_0()` |
    `org.eclipse.xtext.Keyword` | `getCommaKeyword_3_2_1()` |
    `org.eclipse.xtext.Assignment` | `getDiffTimeAssignment_2_1_0_1()` |
    `org.eclipse.xtext.RuleCall` | `getDiffTimeTimeDifferenceParserRuleCall_2_1_0_1_0()` |
    `org.eclipse.xtext.Assignment` | `getForksAssignment_3_2_0_0()` |
    `org.eclipse.xtext.CrossReference` | `getForksForkDefinitionCrossReference_3_2_0_0_0()` |
    `org.eclipse.xtext.RuleCall` | `getForksForkDefinitionQualifiedNameParserRuleCall_3_2_0_0_0_1()` |
    `org.eclipse.xtext.Group` | `getGroup()` |
    `org.eclipse.xtext.Group` | `getGroup_2_0()` |
    `org.eclipse.xtext.Group` | `getGroup_2_1()` |
    `org.eclipse.xtext.Group` | `getGroup_2_1_2()` |
    `org.eclipse.xtext.Group` | `getGroup_2_1_2_2()` |
    `org.eclipse.xtext.Group` | `getGroup_3()` |
    `org.eclipse.xtext.Group` | `getGroup_3_2()` |
    `org.eclipse.xtext.Assignment` | `getLiveAssignment_2_0_0()` |
    `org.eclipse.xtext.Keyword` | `getLiveLiveKeyword_2_0_0_0()` |
    `org.eclipse.xtext.Assignment` | `getMasterForkAssignment_3_2_0_1()` |
    `org.eclipse.xtext.Keyword` | `getMasterForkMasterKeyword_3_2_0_1_0()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_1()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_2_0_1()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_2_1_1()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_2_1_2_1()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_2_1_2_2_1()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_3_1()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_3_2_2()` |
    `org.eclipse.xtext.Keyword` | `getOnKeyword_3_0()` |
    `org.eclipse.xtext.Assignment` | `getProgressionFactorAssignment_2_1_2_2_0()` |
    `org.eclipse.xtext.RuleCall` | `getProgressionFactorTimeProgressionFactorParserRuleCall_2_1_2_2_0_0()` |
    `org.eclipse.xtext.Assignment` | `getProgressionModeAssignment_2_1_2_0()` |
    `org.eclipse.xtext.Keyword` | `getProgressionModeProgressingKeyword_2_1_2_0_0()` |
    `org.eclipse.xtext.ParserRule` | `getRule()` |
    `org.eclipse.xtext.Assignment` | `getStartTimeAssignment_2_1_0_0()` |
    `org.eclipse.xtext.RuleCall` | `getStartTimeValueOrEnumValueOrOperationParserRuleCall_2_1_0_0_0()` |
    `org.eclipse.xtext.Keyword` | `getTimesetKeyword_0()` |

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeSetElements

          public TimeSetElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getGroup

          public org.eclipse.xtext.Group getGroup()

    - #### getTimesetKeyword_0

          public org.eclipse.xtext.Keyword getTimesetKeyword_0()

    - #### getNLParserRuleCall_1

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_1()

    - #### getAlternatives_2

          public org.eclipse.xtext.Alternatives getAlternatives_2()

    - #### getGroup_2_0

          public org.eclipse.xtext.Group getGroup_2_0()

    - #### getLiveAssignment_2_0_0

          public org.eclipse.xtext.Assignment getLiveAssignment_2_0_0()

    - #### getLiveLiveKeyword_2_0_0_0

          public org.eclipse.xtext.Keyword getLiveLiveKeyword_2_0_0_0()

    - #### getNLParserRuleCall_2_0_1

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_2_0_1()

    - #### getGroup_2_1

          public org.eclipse.xtext.Group getGroup_2_1()

    - #### getAlternatives_2_1_0

          public org.eclipse.xtext.Alternatives getAlternatives_2_1_0()

    - #### getStartTimeAssignment_2_1_0_0

          public org.eclipse.xtext.Assignment getStartTimeAssignment_2_1_0_0()

    - #### getStartTimeValueOrEnumValueOrOperationParserRuleCall_2_1_0_0_0

          public org.eclipse.xtext.RuleCall getStartTimeValueOrEnumValueOrOperationParserRuleCall_2_1_0_0_0()

    - #### getDiffTimeAssignment_2_1_0_1

          public org.eclipse.xtext.Assignment getDiffTimeAssignment_2_1_0_1()

    - #### getDiffTimeTimeDifferenceParserRuleCall_2_1_0_1_0

          public org.eclipse.xtext.RuleCall getDiffTimeTimeDifferenceParserRuleCall_2_1_0_1_0()

    - #### getNLParserRuleCall_2_1_1

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_2_1_1()

    - #### getGroup_2_1_2

          public org.eclipse.xtext.Group getGroup_2_1_2()

    - #### getProgressionModeAssignment_2_1_2_0

          public org.eclipse.xtext.Assignment getProgressionModeAssignment_2_1_2_0()

    - #### getProgressionModeProgressingKeyword_2_1_2_0_0

          public org.eclipse.xtext.Keyword getProgressionModeProgressingKeyword_2_1_2_0_0()

    - #### getNLParserRuleCall_2_1_2_1

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_2_1_2_1()

    - #### getGroup_2_1_2_2

          public org.eclipse.xtext.Group getGroup_2_1_2_2()

    - #### getProgressionFactorAssignment_2_1_2_2_0

          public org.eclipse.xtext.Assignment getProgressionFactorAssignment_2_1_2_2_0()

    - #### getProgressionFactorTimeProgressionFactorParserRuleCall_2_1_2_2_0_0

          public org.eclipse.xtext.RuleCall getProgressionFactorTimeProgressionFactorParserRuleCall_2_1_2_2_0_0()

    - #### getNLParserRuleCall_2_1_2_2_1

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_2_1_2_2_1()

    - #### getGroup_3

          public org.eclipse.xtext.Group getGroup_3()

    - #### getOnKeyword_3_0

          public org.eclipse.xtext.Keyword getOnKeyword_3_0()

    - #### getNLParserRuleCall_3_1

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_3_1()

    - #### getGroup_3_2

          public org.eclipse.xtext.Group getGroup_3_2()

    - #### getAlternatives_3_2_0

          public org.eclipse.xtext.Alternatives getAlternatives_3_2_0()

    - #### getForksAssignment_3_2_0_0

          public org.eclipse.xtext.Assignment getForksAssignment_3_2_0_0()

    - #### getForksForkDefinitionCrossReference_3_2_0_0_0

          public org.eclipse.xtext.CrossReference getForksForkDefinitionCrossReference_3_2_0_0_0()

    - #### getForksForkDefinitionQualifiedNameParserRuleCall_3_2_0_0_0_1

          public org.eclipse.xtext.RuleCall getForksForkDefinitionQualifiedNameParserRuleCall_3_2_0_0_0_1()

    - #### getMasterForkAssignment_3_2_0_1

          public org.eclipse.xtext.Assignment getMasterForkAssignment_3_2_0_1()

    - #### getMasterForkMasterKeyword_3_2_0_1_0

          public org.eclipse.xtext.Keyword getMasterForkMasterKeyword_3_2_0_1_0()

    - #### getCommaKeyword_3_2_1

          public org.eclipse.xtext.Keyword getCommaKeyword_3_2_1()

    - #### getNLParserRuleCall_3_2_2

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_3_2_2()